解决:WARNING channel "pecl.php.net" has updated its protocols, use "channel-update pecl.php.net" to update

安装workerman运行pecl install channel://pecl.php.net/libevent-0.1.0命令的时候,出现警告错误:

WARNING: channel “pecl.php.net” has updated its protocols, use “channel-update pecl.php.net” to update

问题原因是因为PEAR包管理系统的协议升级了,客户端需要升级。按照提示,运行如下命令即可解决这个问题:

1
pecl channel-update pecl.php.net